Subject: Re: bug#39452: [PATCH] vc-git-state fails for filenames with wildcards

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 28 Aug 2021 17:07:01 +0200

Stephen Berman <[email-masked]> writes:

> I just discovered that some code I have that uses vc-print-log-internal
> broke after the literal-pathspecs change; specifically, my code passes a
> directory name beginning with "~/" to vc-print-log-internal, and this
> had worked fine till that change, which broke it, and I found I have to
> wrap the directory name in expand-file-name to make the code work again.
> Is this expected fallout from that change or was I perhaps misusing
> vc-print-log-internal and was just lucky that it had worked before?

I think it's reasonable to expect parameters to `vc-print-log-internal'
to have been expanded first, but that should be documented, at least.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no